> For the complete documentation index, see [llms.txt](https://docs.xorosoft.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.xorosoft.com/developers-api/gl-ledger-management/list-general-ledger-transactions.md).

# List General Ledger Transactions

The API retrieves a list of GL transactions based on the provided data source. The API response supports paging, facilitating efficient navigation through the returned data.

```json
{"openapi":"3.0.3","info":{"title":"Xorosoft ERP Public API","version":"2026.07"},"tags":[{"name":"GL Ledger Management","description":"Use GL Ledger Management APIs to retrieve accounting reference data and transaction information such as GL transactions, accounts, accounting periods, project classes, outgoing payments, and bill payments. These endpoints help finance and reporting integrations reconcile operational transactions with accounting activity."}],"servers":[{"url":"https://res.xorosoft.io","description":"Xorosoft ERP API server"}],"security":[{"basic":[]}],"components":{"securitySchemes":{"basic":{"scheme":"basic","type":"http"}}},"paths":{"/api/xerp/accounting/getgltransactions":{"get":{"parameters":[{"description":"Parameter denotes beginning date of transactions. Start date is mandatory when no other filter is provided (format: 2024-02-20)","in":"query","name":"start_date","required":false,"schema":{"type":"string"}},{"description":"Parameter denotes ending date of transactions. End date is mandatory when no other filter is provided (format: 2024-02-20)","in":"query","name":"end_date","required":false,"schema":{"type":"string"}},{"description":"A comma-separated list of transaction numbers.","in":"query","name":"txn_numbers","required":false,"schema":{"type":"string"}},{"description":"A comma-separated list of ref numbers.","in":"query","name":"ref_numbers","required":false,"schema":{"type":"string"}},{"description":"A comma-separated list of entity account ids.","in":"query","name":"entity_accnt_ids","required":false,"schema":{"type":"string"}},{"description":"A comma-separated list of account ids.","in":"query","name":"account_ids","required":false,"schema":{"type":"string"}},{"description":"A comma-separated list of GL account code.","in":"query","name":"account_gl_codes","required":false,"schema":{"type":"string"}},{"description":"Page size denotes records per page. Default = 100.","in":"query","name":"page_size","required":false,"schema":{"type":"number"}},{"description":"Page number for the query result set. Default = 1.","in":"query","name":"page_number","required":false,"schema":{"type":"number"}},{"description":"Allows to skip the year end closing enteries. Default = false.","in":"query","name":"exclude_closing_entries","required":false,"schema":{"type":"boolean"}}],"responses":{"200":{"content":{"application/json":{"schema":{"properties":{"Data":{"properties":{"deletedTxnNumbers":{"items":{},"type":"array"},"transactionList":{"items":{"properties":{"Amount":{"type":"number"},"AmountHomeCurrency":{"type":"number"},"CreateDttm":{"type":"string"},"CreateSource":{"type":"string"},"CurrencyId":{"type":"number"},"CurrencyName":{"type":"string"},"CustomField":{"type":"string"},"DepositedFlag":{"type":"boolean"},"Description":{"type":"string"},"EntityAccountId":{"type":"string"},"EntityFullName":{"type":"string"},"ExchangeRate":{"type":"number"},"F_AccountingId":{"type":"string"},"F_AccountingName":{"type":"string"},"F_AccountingTypeId":{"type":"number"},"F_AccountingTypeName":{"type":"string"},"IsAdjustingTransaction":{"type":"boolean"},"ItemId":{"type":"number"},"ItemNumber":{"type":"string"},"ItemTypeId":{"type":"number"},"Memo":{"type":"string"},"ModifyDttm":{"type":"string","nullable":true},"ModifySource":{"type":"string"},"ProjectClassId":{"type":"number","nullable":true},"ProjectClassName":{"type":"string"},"Qty":{"type":"number"},"ReconciledFlag":{"type":"boolean"},"RefId":{"type":"number"},"RefNumber":{"type":"string"},"RefNumber2":{"type":"string"},"SalesRepId":{"type":"string"},"StoreId":{"type":"number"},"StoreName":{"type":"string"},"TxnDate":{"type":"string"},"TxnId":{"type":"string"},"TxnNumber":{"type":"number"},"TxnTypeId":{"type":"number"},"TxnTypeName":{"type":"string"}},"type":"object"},"type":"array"}},"type":"object"},"Exceptions":{"items":{},"type":"array"},"IsForwardRequest":{"type":"boolean"},"Message":{"type":"string"},"MessageTitle":{"type":"string","nullable":true},"Page":{"type":"number"},"Result":{"type":"boolean"},"TotalPages":{"type":"number"}},"type":"object"}}},"description":"OK","headers":{}}},"tags":["GL Ledger Management"],"description":"The API retrieves a list of GL transactions based on the provided data source. The API response supports <b>paging</b>, facilitating efficient navigation through the returned data.","operationId":"get_accounting_getgltransactions","summary":"List General Ledger Transactions"}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.xorosoft.com/developers-api/gl-ledger-management/list-general-ledger-transactions.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
